# StructurePrototypeAnalysisPackage
Structure Prototype Analysis Package can analyze symmetry and compare similarity of a large number of atomic structures.

## Description:
Structure Prototype Analysis Package (SPAP) can analyze symmetry and compare similarity of a large number of atomic structures. Typically, SPAP can analyze structures predicted by CALYPSO (www.calypso.cn). We use spglib to analyze symmetry. Coordination Characterization Function (CCF) is used to measure structural similarity. If you use this program and method in your research, please read and cite the following publication:  
J. Phys. Condens. Matter 2017, 29, 165901.

## Author:
Dr. Chuanxun Su  
State Key Lab of Superhard Materials, Jilin University, Changchun, China

## Version:
SPAP: 1.0.0

## Email:
suchuanxun@163.cn / scx@calypso.cn

## Dependency:
This program uses numpy, spglib, and ase (https://wiki.fysik.dtu.dk/ase/). You could simply install them by one command: pip install numpy spglib ase

## Usage:
SPAP can run at four different modes.
1.  To analyze CALYPSO structure prediction results, set i_mode=1. Run spap.py
    in results directory generated by CALYPSO.
2.  To calculate symmetry and compare similarity of a bunch of structures, set
    i_mode=2. Put structure files in struc directory. The files should be
    named *.cif, *.vasp (VASP format), or any name and format ase can read
    automatically.
3.  To read and analyze structures optimized by VASP, set i_mode=3. Define
    work_dir. It is the path where you put the optimized structures.
4.  To calculate symmetry and compare similarity of a list of structures, set
    i_mode=4. Assign a list of Atoms objects to structure_list.  
  
You could customize other parameters at the end of this script.

## Output:
I try to organize the output files similar to those generated by cak.py. So that it's easier for user to get familiar with this program. Analysis_Output.dat lists the information about the analyzed structures. However we provide more information such as density, formula unit, and volume. distance.dat stores the distances between structures and some other attributes. analyzed_structures.db is in Atomic Simulation Environment (ASE) database format for atoms. You can easily read and analyze these structures through ASE. You can also add and store properties you are interested in. This function is very useful for screening out good functional materials. SPAP can also write structures in cif and VASP format in dir_* directory. Technically speaking, SPAP can easily write any structure format supported by ASE.  

## Date:
August 19, 2019
